summaryrefslogtreecommitdiffstats
path: root/src/VBox/Installer/solaris/postinstall.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/VBox/Installer/solaris/postinstall.sh')
-rwxr-xr-xsrc/VBox/Installer/solaris/postinstall.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/src/VBox/Installer/solaris/postinstall.sh b/src/VBox/Installer/solaris/postinstall.sh
new file mode 100755
index 00000000..fac66b06
--- /dev/null
+++ b/src/VBox/Installer/solaris/postinstall.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+# $Id: postinstall.sh $
+## @file
+# VirtualBox postinstall script for Solaris.
+#
+
+#
+# Copyright (C) 2007-2019 Oracle Corporation
+#
+# This file is part of VirtualBox Open Source Edition (OSE), as
+# available from http://www.virtualbox.org. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License (GPL) as published by the Free Software
+# Foundation, in version 2 as it comes in the "COPYING" file of the
+# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+#
+
+rc=0
+currentzone=`zonename`
+if test "$currentzone" = "global"; then
+ DEBUGOPT=`set -o 2>/dev/null | sed -ne 's/^xtrace *on$/--sh-trace/p'` # propagate pkgadd -v
+ ${PKG_INSTALL_ROOT:=/}/opt/VirtualBox/pkginstall.sh --srv4 ${DEBUGOPT}
+ rc=$?
+fi
+
+# installf inherits ${PKG_INSTALL_ROOT} from pkgadd, no need to explicitly specify
+/usr/sbin/installf -f $PKGINST
+
+# return 20 = requires reboot, 2 = partial failure, 0 = success
+exit "$rc"
+